<?php
/**
 * Magento
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@magentocommerce.com so we can send you a copy immediately.
 *
 * @category    SuperMailingList/SuperWebMailer
 * @package     sml_swm
 * @author      Mirko Boeer <info@supermailer.de>
 * @copyright   2018 Mirko Boeer
 * @license     http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
class sml_swm_Adminhtml_swmController extends Mage_Adminhtml_Controller_Action
{

    protected function _isAllowed()
    {
        return Mage::getSingleton('admin/session')->isAllowed('newsletter/swm');
    }

    public function indexAction()
    {
        $this->loadLayout();
        $block = $this->getLayout()->getBlock('swm');

        $this->_title($this->__('SuperMailingList/SuperWebMailer Update'));
        $this->_setActiveMenu('newsletter');
        $this->renderLayout();
    }


    public function saveAction ()
    {
          if ( !$this->getRequest()->getPost() ) {
           $this->getResponse()->setRedirect($this->getUrl('*/swm'));
           return;
          }


          $swmlswm_mailinglist_to_store_id = array();
          $smlswm_mailinglist_id = Mage::app()->getRequest()->getParam('smlswm_mailinglist_id');
          $magentoshop_id = Mage::app()->getRequest()->getParam('magentoshop_id');
          for($i=0; $i<count($smlswm_mailinglist_id); $i++){
            if(intval($smlswm_mailinglist_id[$i]) > 0 && isset($magentoshop_id[$i]) && intval($magentoshop_id[$i]) > 0){
              $swmlswm_mailinglist_to_store_id[] = array("smlswm_mailinglist_id" => intval($smlswm_mailinglist_id[$i]), "magentoshop_id" => intval($magentoshop_id[$i]));
            }
          }
          Mage::helper('swm')->saveConfiguration(Mage::app()->getRequest()->getParam('smlswm_url'), Mage::app()->getRequest()->getParam('smlswm_apikey'), $swmlswm_mailinglist_to_store_id);
          $this->getResponse()->setRedirect($this->getUrl('*/swm'));
    }

}
